CEL: Crystal Entity Layer: iTransformQuestSeqOpFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTransformQuestSeqOpFactory Struct Reference

This interface is implemented by the seqop that transforms meshes. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$').
virtual void | SetRotationParameter (int rot_axis, const char *rot_angle)=0
| Set the relative rotation parameter.
virtual void | SetVectorParameter (const char *vectorx, const char *vectory, const char *vectorz)=0
| Set the relative movement vector parameter.

## Detailed Description

This interface is implemented by the seqop that transforms meshes.

You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this seqop type is 'cel.questseqop.transform'.

In XML, factories recognize the following attributes on the 'op' node:

- entity: the name of the entity containing the pcmesh property class.
- entity_tag: optional tag used to find the right property class from the entity.
- v: optional movement vector. This node has 'x', 'y, and 'z' attributes. Each of these attributes can be a parameter.
- rotx: optional rotation along x axis. This node has an 'angle' parameter in radians. Angle can be a parameter.
- roty: optional rotation along y axis. This node has an 'angle' parameter in radians. Angle can be a parameter.
- rotz: optional rotation along z axis. This node has an 'angle' parameter in radians. Angle can be a parameter.

Definition at line 1458 of file questmanager.h.

## Member Function Documentation

virtual void iTransformQuestSeqOpFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$'). Parameters:
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iTransformQuestSeqOpFactory::SetRotationParameter | ( | int | rot_axis,
|  | const char * | rot_angle
| ) | `[pure virtual]`

  | Set the relative rotation parameter. Parameters:
  | rot_axis | is 0, 1, or 2 for x, y, or z axis.
  | rot_angle | the amount of rotation.

virtual void iTransformQuestSeqOpFactory::SetVectorParameter | ( | const char * | vectorx,
|  | const char * | vectory,
|  | const char * | vectorz
| ) | `[pure virtual]`

| Set the relative movement vector parameter.

The documentation for this struct was generated from the following file:

- tools/questmanager.h